Subject: Re: setup.exe wishlist
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 5 Apr 2002 09:53:35 -0500

On Fri, Apr 05, 2002 at 04:19:36PM +0200, Christoph Kukulies wrote:
>I recently upgraded from the b20 full.exe setup mechanism to the newer b20.1
>setup.exe. BTW, it looks like a centura team developer application
>or where does this tree view stem from?
>
>At least it requires a bit 'getting used to'.
>Could please be added that the last used proxy is entered in the registry so it is not required to type in the proxy and port number everytime setup is
>started. And here I'm already at the next point:
>
>Why did I have to run setup so often?
>
>1. sh did not run in the first place since important DLLs (cygintl1.dll)
>   were missing. 
>
>2. grep did not run because of some pcre dll missing.
>
>3. gcc compiler was missing, make was missing.
>
>All in it took me atleast 10 runs of setup.exe to get everything together.
>
>Could the setup have some typical installs, like
>
>   o   minimal (sh, cygwin1.dll, utils)

I.e., the "base" install.

>   o   typical developer (gcc, make, tools)

I.e., click on "Devel", click on "gcc" and "make".

>   o   All 

I.e., click on "All".

You probably should peruse the cygwin mailing list archives for
discussions about setup.exe.

If you really had to go through the steps that you are implying then
something is seriously wrong with setup.exe.  It's not supposed to
work that way.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/